from workspaces.capability.helpers import (
    AwaitLargeAllocationApproval,
    AwaitParameter,
    AwaitProduct,
    AwaitQa,
    AwaitWorkflow,
    CapabilityStep,
    PrepareAndRunWorkflow,
)


def test_parse_workflow():
    """
    Tests that CapabilityStep parsing works as intended
    """
    step = CapabilityStep.from_str("prepare-and-run-workflow foo bar")
    assert isinstance(step, PrepareAndRunWorkflow)
    step = CapabilityStep.from_str("await-qa foo bar")
    assert isinstance(step, AwaitQa)
    step = CapabilityStep.from_str("await-workflow foo bar")
    assert isinstance(step, AwaitWorkflow)
    step = CapabilityStep.from_str("await-product foo bar")
    assert isinstance(step, AwaitProduct)
    step = CapabilityStep.from_str("await-parameter foo bar")
    assert isinstance(step, AwaitParameter)
    step = CapabilityStep.from_str("await-large-alloc-approval foo bar")
    assert isinstance(step, AwaitLargeAllocationApproval)
